HomeRemediesOnlineWebApp/Areas/Admin/Controllers/OrderController.cs
using AutoMapper;
using HomeRemediesOnlineWebApp.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HomeRemediesOnlineWebApp.Areas.Admin.Controllers
{
    public class OrderController : BaseController
    {
        public OrderController()
        {
            Mapper.Initialize(cfg => {
                cfg.CreateMap<Order, OrderModel>();
            });
        }

        // GET: Admin/Order
        public ActionResult Index()
        {
            var orders = _ctx.Orders;
            var model = Mapper.Map<IEnumerable<Order>, IEnumerable<OrderModel>>(orders);
            return View(model);
        }

        // GET: Admin/Order/Details/5
        public ActionResult Details(int id)
        {
            var order = _ctx.Orders.FirstOrDefault(o => o.OrderID == id);
            var model = Mapper.Map<OrderModel>(order);
            return View(model);
        }
    }
}

HomeRemediesOnlineWebApp/Areas/Admin/Controllers/StockController.cs
using AutoMapper;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HomeRemediesOnlineWebApp.Areas.Admin.Controllers
{
    public class StockController : BaseController
    {

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Chart()
        {
            var units = new List<int>();
            var rol = new List<int>();
            var labels = new List<string>();
            foreach (var i in _ctx.Products)
            {
                units.Add(i.UnitsInStock);
                rol.Add(i.ROL);
                labels.Add(i.PName);
            }
            List<object> data = new List<object> { new {
                label = "Units in Stock",
                backgroundColor = "rgba(255, 99, 132, 0.6)",
                data = units
            }, new {
                label = "Re-Order-Level",
                backgroundColor = "rgba(153, 102, 255, 0.6)",
                data = rol
            }, labels};

            var result = Json(data.ToArray(), JsonRequestBehavior.AllowGet);
            return result;
        }

        private string _randomColor()
        {
            Random randomGen = new Random();
            KnownColor[] names = (KnownColor[])Enum.GetValues(typeof(KnownColor));
            KnownColor randomColorName = names[randomGen.Next(names.Length)];
            Color c = Color.FromKnownColor(randomColorName);
            return "#" + c.R.ToString("X2") + c.G.ToString("X2") + c.B.ToString("X2");
        }
    }
}

HomeRemediesOnlineWebApp/Areas/Admin/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Home Remedies Online</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @RenderSection("scripts", required: false)

</head>
<body>
    <div class="navbar navbar-theme navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Admin Panel", "Index", "Product", new { area = "Admin" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Suppliers", "Index", "Supplier", null, null)</li>
                    <li>@Html.ActionLink("Customers", "Index", "Customer", null, null)</li>
                    <li>@Html.ActionLink("Orders", "Index", "Order", null, null)</li>
                    <li>@Html.ActionLink("Stocks", "Index", "Stock", null, null)</li>
                    <li>@Html.ActionLink("Products", "Index", "Product", null, null)</li>
                </ul>
                <ul class="nav navbar-nav navbar-right">
                    <li>@Html.ActionLink("Shop", "Index", "Home", new { area = "" }, null)</li>
                    <li>@Html.ActionLink("Logout", "Logout", "Account", new { area = "Admin" }, null)</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - Home Remedies Online</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
</body>
</html>